> ## Documentation Index
> Fetch the complete documentation index at: https://docs.truckaurbus.com/llms.txt
> Use this file to discover all available pages before exploring further.

# A machine's full sheet: plate figures, spec groups, prices (kind and date) and media links



## OpenAPI

````yaml /api-reference/openapi.json get /v1/machines/{slug}
openapi: 3.1.0
info:
  title: Truckaurbus API
  version: v1
  description: >-
    The public v1 API at https://api.truckaurbus.com/v1. Authenticate with an
    API key in the Authorization header: Bearer tab_live_...
servers:
  - url: https://api.truckaurbus.com
security: []
paths:
  /v1/machines/{slug}:
    get:
      tags:
        - v1
      summary: >-
        A machine's full sheet: plate figures, spec groups, prices (kind and
        date) and media links
      operationId: identity_api_v1_machine
      parameters:
        - in: path
          name: slug
          required: true
          schema:
            title: Slug
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MachineOut'
          description: OK
components:
  schemas:
    MachineOut:
      properties:
        blade_width_mm:
          anyOf:
            - type: integer
            - type: 'null'
          title: Blade Width Mm
        boom_length_m:
          anyOf:
            - type: number
            - type: 'null'
          title: Boom Length M
        breakout_kn:
          anyOf:
            - type: number
            - type: 'null'
          title: Breakout Kn
        bucket_m3:
          anyOf:
            - type: number
            - type: 'null'
          title: Bucket M3
        completeness:
          title: Completeness
          type: number
        dig_depth_mm:
          anyOf:
            - type: integer
            - type: 'null'
          title: Dig Depth Mm
        drum_width_mm:
          anyOf:
            - type: integer
            - type: 'null'
          title: Drum Width Mm
        engine:
          anyOf:
            - type: string
            - type: 'null'
          title: Engine
        family:
          anyOf:
            - type: string
            - type: 'null'
          title: Family
        fuel_lph:
          anyOf:
            - type: number
            - type: 'null'
          title: Fuel Lph
        hours_a_year:
          anyOf:
            - type: integer
            - type: 'null'
          title: Hours A Year
        id:
          title: Id
          type: integer
        image:
          anyOf:
            - type: string
            - type: 'null'
          title: Image
        is_sample:
          default: false
          title: Is Sample
          type: boolean
        kind:
          anyOf:
            - type: string
            - type: 'null'
          title: Kind
        launch_note:
          anyOf:
            - type: string
            - type: 'null'
          title: Launch Note
        launched_at:
          anyOf:
            - format: date
              type: string
            - type: 'null'
          title: Launched At
        lifecycle:
          title: Lifecycle
          type: string
        lift_capacity_t:
          anyOf:
            - type: number
            - type: 'null'
          title: Lift Capacity T
        lift_height_m:
          anyOf:
            - type: number
            - type: 'null'
          title: Lift Height M
        machine_class:
          title: Machine Class
          type: string
        manufacturer:
          $ref: '#/components/schemas/RefOut'
        media:
          items:
            $ref: '#/components/schemas/MediaOut'
          title: Media
          type: array
        name:
          title: Name
          type: string
        operating_weight_kg:
          anyOf:
            - type: integer
            - type: 'null'
          title: Operating Weight Kg
        output_m3h:
          anyOf:
            - type: number
            - type: 'null'
          title: Output M3H
        paving_width_mm:
          anyOf:
            - type: integer
            - type: 'null'
          title: Paving Width Mm
        payload_kg:
          anyOf:
            - type: integer
            - type: 'null'
          title: Payload Kg
        plate:
          default: []
          items:
            $ref: '#/components/schemas/PlateCellOut'
          title: Plate
          type: array
        power_kw:
          anyOf:
            - type: number
            - type: 'null'
          title: Power Kw
        power_source:
          anyOf:
            - type: string
            - type: 'null'
          title: Power Source
        price_as_of:
          anyOf:
            - format: date
              type: string
            - type: 'null'
          title: Price As Of
        price_from_inr:
          anyOf:
            - type: integer
            - type: 'null'
          title: Price From Inr
        price_kind:
          anyOf:
            - type: string
            - type: 'null'
          title: Price Kind
        price_to_inr:
          anyOf:
            - type: integer
            - type: 'null'
          title: Price To Inr
        prices:
          items:
            $ref: '#/components/schemas/MachinePriceOut'
          title: Prices
          type: array
        published_at:
          anyOf:
            - format: date
              type: string
            - type: 'null'
          title: Published At
        rated_load_kg:
          anyOf:
            - type: integer
            - type: 'null'
          title: Rated Load Kg
        similar:
          default: []
          items:
            $ref: '#/components/schemas/MachineSummaryOut'
          title: Similar
          type: array
        slug:
          title: Slug
          type: string
        spec:
          items:
            $ref: '#/components/schemas/SpecGroupOut'
          title: Spec
          type: array
        tipping_load_kg:
          anyOf:
            - type: integer
            - type: 'null'
          title: Tipping Load Kg
        verified_at:
          anyOf:
            - format: date
              type: string
            - type: 'null'
          title: Verified At
      required:
        - id
        - slug
        - name
        - manufacturer
        - machine_class
        - lifecycle
        - spec
        - prices
        - media
        - completeness
      title: MachineOut
      type: object
    RefOut:
      properties:
        name:
          title: Name
          type: string
        slug:
          title: Slug
          type: string
      required:
        - slug
        - name
      title: RefOut
      type: object
    MediaOut:
      properties:
        alt:
          anyOf:
            - type: string
            - type: 'null'
          title: Alt
        attribution:
          anyOf:
            - type: string
            - type: 'null'
          title: Attribution
        height:
          anyOf:
            - type: integer
            - type: 'null'
          title: Height
        highlights:
          default: []
          items:
            type: string
          title: Highlights
          type: array
        kind:
          title: Kind
          type: string
        licence:
          anyOf:
            - type: string
            - type: 'null'
          title: Licence
        summary:
          anyOf:
            - type: string
            - type: 'null'
          title: Summary
        summary_by:
          anyOf:
            - type: string
            - type: 'null'
          title: Summary By
        thumb_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Thumb Url
        url:
          title: Url
          type: string
        width:
          anyOf:
            - type: integer
            - type: 'null'
          title: Width
      required:
        - kind
        - url
      title: MediaOut
      type: object
    PlateCellOut:
      properties:
        key:
          title: Key
          type: string
        label:
          title: Label
          type: string
        label_hi:
          anyOf:
            - type: string
            - type: 'null'
          title: Label Hi
        label_ta:
          anyOf:
            - type: string
            - type: 'null'
          title: Label Ta
        unit:
          title: Unit
          type: string
        value:
          anyOf:
            - type: number
            - type: integer
          title: Value
      required:
        - key
        - label
        - unit
        - value
      title: PlateCellOut
      type: object
    MachinePriceOut:
      properties:
        basis:
          additionalProperties: true
          default: {}
          title: Basis
          type: object
        city:
          anyOf:
            - type: string
            - type: 'null'
          title: City
        high_inr:
          anyOf:
            - type: integer
            - type: 'null'
          title: High Inr
        kind:
          title: Kind
          type: string
        observed_at:
          format: date
          title: Observed At
          type: string
        price_inr:
          title: Price Inr
          type: integer
        source_kind:
          title: Source Kind
          type: string
        state_code:
          title: State Code
          type: string
      required:
        - state_code
        - price_inr
        - kind
        - source_kind
        - observed_at
      title: MachinePriceOut
      type: object
    MachineSummaryOut:
      properties:
        blade_width_mm:
          anyOf:
            - type: integer
            - type: 'null'
          title: Blade Width Mm
        boom_length_m:
          anyOf:
            - type: number
            - type: 'null'
          title: Boom Length M
        bucket_m3:
          anyOf:
            - type: number
            - type: 'null'
          title: Bucket M3
        dig_depth_mm:
          anyOf:
            - type: integer
            - type: 'null'
          title: Dig Depth Mm
        drum_width_mm:
          anyOf:
            - type: integer
            - type: 'null'
          title: Drum Width Mm
        family:
          anyOf:
            - type: string
            - type: 'null'
          title: Family
        fuel_lph:
          anyOf:
            - type: number
            - type: 'null'
          title: Fuel Lph
        id:
          title: Id
          type: integer
        image:
          anyOf:
            - type: string
            - type: 'null'
          title: Image
        is_sample:
          default: false
          title: Is Sample
          type: boolean
        kind:
          anyOf:
            - type: string
            - type: 'null'
          title: Kind
        launched_at:
          anyOf:
            - format: date
              type: string
            - type: 'null'
          title: Launched At
        lifecycle:
          title: Lifecycle
          type: string
        lift_capacity_t:
          anyOf:
            - type: number
            - type: 'null'
          title: Lift Capacity T
        lift_height_m:
          anyOf:
            - type: number
            - type: 'null'
          title: Lift Height M
        machine_class:
          title: Machine Class
          type: string
        manufacturer:
          $ref: '#/components/schemas/RefOut'
        name:
          title: Name
          type: string
        operating_weight_kg:
          anyOf:
            - type: integer
            - type: 'null'
          title: Operating Weight Kg
        payload_kg:
          anyOf:
            - type: integer
            - type: 'null'
          title: Payload Kg
        plate:
          default: []
          items:
            $ref: '#/components/schemas/PlateCellOut'
          title: Plate
          type: array
        power_kw:
          anyOf:
            - type: number
            - type: 'null'
          title: Power Kw
        power_source:
          anyOf:
            - type: string
            - type: 'null'
          title: Power Source
        price_as_of:
          anyOf:
            - format: date
              type: string
            - type: 'null'
          title: Price As Of
        price_from_inr:
          anyOf:
            - type: integer
            - type: 'null'
          title: Price From Inr
        price_kind:
          anyOf:
            - type: string
            - type: 'null'
          title: Price Kind
        price_to_inr:
          anyOf:
            - type: integer
            - type: 'null'
          title: Price To Inr
        published_at:
          anyOf:
            - format: date
              type: string
            - type: 'null'
          title: Published At
        rated_load_kg:
          anyOf:
            - type: integer
            - type: 'null'
          title: Rated Load Kg
        slug:
          title: Slug
          type: string
        tipping_load_kg:
          anyOf:
            - type: integer
            - type: 'null'
          title: Tipping Load Kg
        verified_at:
          anyOf:
            - format: date
              type: string
            - type: 'null'
          title: Verified At
      required:
        - id
        - slug
        - name
        - manufacturer
        - machine_class
        - lifecycle
      title: MachineSummaryOut
      type: object
    SpecGroupOut:
      properties:
        fields:
          items:
            $ref: '#/components/schemas/SpecFieldOut'
          title: Fields
          type: array
        key:
          title: Key
          type: string
        label:
          title: Label
          type: string
      required:
        - key
        - label
        - fields
      title: SpecGroupOut
      type: object
    SpecFieldOut:
      properties:
        confidence:
          anyOf:
            - type: number
            - type: 'null'
          title: Confidence
        key:
          title: Key
          type: string
        label:
          title: Label
          type: string
        unit:
          anyOf:
            - type: string
            - type: 'null'
          title: Unit
        value:
          anyOf:
            - type: string
            - type: integer
            - type: number
            - type: 'null'
          title: Value
      required:
        - key
        - label
      title: SpecFieldOut
      type: object

````